This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 779169 - (SOA-1564) UDP Gateway - default hanlder class is hard-coded in schema
UDP Gateway - default hanlder class is hard-coded in schema
Status: CLOSED WONTFIX
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 ER1
Unspecified Unspecified
medium Severity medium
: ---
: FUTURE
Assigned To: Default User
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-27 10:39 EDT by Jiri Pechanec
Modified: 2011-04-08 16:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-08 16:01:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1564 None None None Never

  None (edit)
Description Jiri Pechanec 2009-10-27 10:39:57 EDT
Date of First Response: 2009-12-09 05:47:19
project_key: SOA

UDP Gateway requires handler class. ESB provides a default one and this is hard-coded in XSD schema. I think that this is implementation detail that should not be present in XSD schema.
Comment 1 Kevin Conner 2009-12-09 05:47:19 EST
Schema file is locked and will not be changed, we can look at this for a future release.
Comment 2 David Le Sage 2010-02-09 23:07:20 EST
I have documented this for the Release Notes.  Here is the draft text:


https://jira.jboss.org/jira/browse/SOA-1564

    Currently, the default ESB handler class for the UDP Gateway is hard-coded into the XSD
    schema and cannot be changed or removed.
Comment 3 Kevin Conner 2010-02-11 04:43:33 EST
It may be worth emphasising that it is only the default value for the handler which cannot be altered, in a global sense, and that the gateway does allow the handler to be specified for each individual gateway.

Note You need to log in before you can comment on or make changes to this bug.